<html>
<head>
	<title>Mailformulier</title>
</head>
<body>
<?php

function valid_mail ($str) {
 return  (ereg ('(^[0-9a-zA-Z_\.-]{1,}@[0-9a-zA-Z_\-]{1,}\.[0-9a-zA-Z_\-]{2,}$)', $str));
}
function valid_name ($str) {
 return  (ereg ('^[A-Za-z. -]+$', $str));
}

$naam = ucfirst($naam);

if ($verzendbutton != "verzenden" || !valid_name($naam) || !valid_mail($mailadres) || !isset($reactie)) { // dus als het formulier leeg is of een van de waarden niet is ingevuld
?>
<form action="veryadvancedform.php" method="post">
<?php
	if ($verzendbutton && !valid_name($naam)) {
		echo "<font color=\"red\">Vul hier uw naam correct in!</font>";
}
?>
Naam: <input type="text" name="naam" value="<?php echo $naam ?>"><br>
<?php
	if ($verzendbutton && !valid_mail($mailadres)) {
		echo "<font color=\"red\">Vul hier uw mailadres correct in!</font>";
}
?>
E-mail: <input type="text" name="mailadres" value="<?php echo $mailadres ?>"><br>
<?php
	if ($verzendbutton && !isset($reactie)) {
		echo "<font color=\"red\">Vul hier uw reactie in!</font>";
}
?>
Uw reactie: <textarea cols="30" rows="4" name="reactie"><?php echo $reactie ?></textarea>
<input type="submit" value="verzenden" name="verzendbutton">
</form>
<?php
} else { // in alle andere gevallen (dus formulier verzonden)
	$boodschap = "Naam: ".$naam."\nCommentaar: ".$reactie;
	mail($mailadres, "Uw reactie van de website", $boodschap);
	echo "Bedankt ".$naam.", fijn dat je mee wilde doen!";
}
?>
</body>
</html>
